Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Staying with KDE-4
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9, 10  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Andrii
n00b
n00b


Joined: 05 Jan 2018
Posts: 1
Location: ua

PostPosted: Fri Jan 05, 2018 8:36 am    Post subject: Reply with quote

DJ_Rubbie wrote:
Seems like some packages are starting to show their age - if `ffmpeg` is updated to 3.2 (the current stable version) then the package `=kde-apps/ffmpegthumbs-4.14.3::kde-sunset` will fail to compile via the following

Code:

In file included from /var/tmp/portage/kde-apps/ffmpegthumbs-4.14.3/work/ffmpegthumbs-4.14.3/ffmpegthumbnailer/moviedecoder.cpp:17:0:
/var/tmp/portage/kde-apps/ffmpegthumbs-4.14.3/work/ffmpegthumbs-4.14.3/ffmpegthumbnailer/moviedecoder.h:55:31: error: ‘PixelFormat’ has not been declared
     void convertAndScaleFrame(PixelFormat format, int scaledSize, bool maintain
...


This has been reported on the kde-freebsd list and the issue on the freebsd tracker seem to have a working patch for ffmpeg 3. Would be great if that patch somehow can be included with a new ebuild...


Hi, Thanks for the link.
I've applied that patch manually to ffmpegthumbs-4.14.3 sources using ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} instead of Qt5::Gui KF5::KIOWidgets as suggested in patch and was able to merge current packet using --skip-manifest option.
Back to top
View user's profile Send private message
DevLinux
n00b
n00b


Joined: 29 Jul 2015
Posts: 5

PostPosted: Thu Apr 26, 2018 4:37 pm    Post subject: Reply with quote

Just curious if anybody has still been able to manage to keep KDE4 and a relative recent portage tree going on their system?

Most of my systems have moved on to Plasma 5, but I have an older box with an nvidia card that requires the 96.43.23 driver and Plasma 5 seems insistent about bringing in newer xorg versions. I looked at switching to nouveau, but the already sluggish system runs even slower.

Eventually, I'll replace this box, but it's just not high on the priority list right now.
Back to top
View user's profile Send private message
proteusx
Apprentice
Apprentice


Joined: 21 Jan 2008
Posts: 207

PostPosted: Thu Apr 26, 2018 5:21 pm    Post subject: Reply with quote

I am still with kde-4 and not planning to move to plasma-5.
I have xorg-drivers-1.19, amdgpu graphics and the latest portage.
Over time I had to move many kde-apps ebuilds to my local overlay.
If you need details I will be glad to help.
Back to top
View user's profile Send private message
DevLinux
n00b
n00b


Joined: 29 Jul 2015
Posts: 5

PostPosted: Mon Apr 30, 2018 12:17 pm    Post subject: Reply with quote

proteusx wrote:
I am still with kde-4 and not planning to move to plasma-5.
I have xorg-drivers-1.19, amdgpu graphics and the latest portage.
Over time I had to move many kde-apps ebuilds to my local overlay.
If you need details I will be glad to help.


Glad to hear somebody has managed it. My need precipitates from the nvidia-drivers I need to run which won't run on xorg-server newer than 1.12. I tried doing a fresh install and letting kde5 come in. Nope. Something requires the newer version. So I just cloned the old install over to a new drive and left it. Figured I would try to see if I could get it to update since it hasn't been updated since May 2016.

Initially, I tried creating an overlay and just copying all of x11-* and kde-* to my overlay and then deleting them from each snapshot as I progressed through (20160720, 20160920, 20161120). That was as far as I made it before having issues at 20161120. Although, I noticed after I scrapped that attempt that I was still on the plasma profile not the kde profile. So may have been able to make it further had I swapped that. I also ran into issues with categories not existing, but I figured that one out after scrapping the earlier attempt as well. I think the other issue I was running into was the package moves which I'm assuming was not renaming the packages in my overlay. Not sure if that's something I need to look into?

After seeing your message, I figured I'd try one more attempt, but only putting packages into an overlay as I needed them. I started with the kde-apps/kdeartwork-meta, kde-apps/kdebase-meta, kde-apps/kdebase-runtime-meta, and kde-apps/kdegames-meta packages which seem to have stopped the initial incursion of kde5 packages.

I pruned the list below to just list the kde packages. I haven't added the "-qt5" use flag as some have done as I wanted to have it if possible, but if needed I can add it. I know some of the 15.* packages are still KDE4, but I've been trying to mask out the 5.* packages. I'm guessing I may just have to relent?

Code:
[ebuild     U  ] kde-base/kdebase-pam-10 [9]
[ebuild  N     ] kde-frameworks/kf-env-3
[ebuild  N     ] kde-frameworks/extra-cmake-modules-5.21.0  USE="-doc {-test}"
[ebuild  N     ] kde-frameworks/kcoreaddons-5.21.0-r1  USE="nls -debug (-fam) {-test}"
[ebuild  N     ] kde-frameworks/ki18n-5.21.0  USE="-debug {-test}"
[ebuild  N     ] kde-frameworks/kcodecs-5.21.0  USE="nls -debug {-test}"
[ebuild  N     ] kde-frameworks/karchive-5.21.0-r1  USE="bzip2 lzma -debug {-test}"
[ebuild  N     ] kde-frameworks/kdoctools-5.21.0  USE="-debug {-test}"
[ebuild  N     ] kde-frameworks/kconfig-5.21.0  USE="nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kwidgetsaddons-5.21.0  USE="nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kwindowsystem-5.21.0  USE="X nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kdbusaddons-5.21.0  USE="X nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kitemviews-5.21.0  USE="nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kguiaddons-5.21.0  USE="-debug {-test}"
[ebuild  N     ] kde-frameworks/sonnet-5.21.0  USE="hunspell nls -aspell -debug {-test}"
[ebuild  N     ] kde-frameworks/kcrash-5.21.0  USE="X nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kcompletion-5.21.0  USE="nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kjobwidgets-5.21.0  USE="X nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kservice-5.21.0  USE="man -debug {-test}"
[ebuild  N     ] kde-frameworks/kglobalaccel-5.21.0  USE="nls -debug {-test}"
[ebuild  N     ] kde-frameworks/knotifications-5.21.0  USE="X dbus nls -debug (-speech)"
[ebuild  NS    ] kde-frameworks/oxygen-icons-5.21.0 [4.14.3] USE="{-test}"
[uninstall     ] kde-frameworks/oxygen-icons-4.14.3
[blocks b      ] kde-frameworks/oxygen-icons:4 ("kde-frameworks/oxygen-icons:4" is blocking kde-frameworks/oxygen-icons-5.21.0)                                                                                                                           
[ebuild  N     ] kde-frameworks/solid-5.21.0  USE="nls -debug {-test}"
[ebuild     U  ] kde-apps/kfmclient-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdesu-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/knotify-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/libkonq-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kcmshell-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdepimlibs-4.14.11_pre20160211 [4.14.10]
[ebuild     U  ] kde-apps/kurifilter-plugins-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/solid-runtime-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kfind-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdepasswd-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/keditbookmarks-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/plasma-apps-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/phonon-kde-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdialog-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/svgpart-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/konqueror-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kreadconfig-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kpasswdserver-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdebugdialog-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kimgio-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kiconfinder-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kglobalaccel-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kfile-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/ktimezoned-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdebase-menu-icons-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kwalletd-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/ktraderclient-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdebase-kioslaves-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdebase-data-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdebase-desktoptheme-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kuiserver-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdontchangethehostname-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kioclient-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kdebase-menu-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kmimetypefinder-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/attica-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/knetattach-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kquitapp-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/keditfiletype-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/knewstuff-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/renamedlg-plugins-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kstart-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/zeroconf-ioslave-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kcontrol-15.12.3 [15.08.3]
[ebuild   R    ] kde-misc/kde-gtk-config-2.2.1  L10N="-bs% -ca% -ca-valencia% -cs% -da% -de% -el% -es% -et% -eu% -fi% -fr% -ga% -gl% -hu% -id% -it% -ja% -kk% -km% -lt% -mr% -nb% -nds% -nl% -pl% -pt% -pt-BR% -ro% -ru% -sk% -sl% -sv% -uk% -zh-CN% -zh-TW%" LINGUAS="(-bs%) (-ca%) (-ca@valencia%) (-cs%) (-da%) (-de%) (-el%) (-es%) (-et%) (-eu%) (-fi%) (-fr%) (-ga%) (-gl%) (-hu%) (-id%) (-it%) (-ja%) (-kk%) (-km%) (-lt%) (-mr%) (-nb%) (-nds%) (-nl%) (-pl%) (-pt%) (-pt_BR%) (-ro%) (-ru%) (-sk%) (-sl%) (-sv%) (-uk%) (-zh_CN%) (-zh_TW%)"
[ebuild   R    ] kde-misc/kscreen-1.0.71_p20150824  L10N="-ast% -bg% -bs% -ca% -ca-valencia% -cs% -da% -de% -el% -en-GB% -es% -et% -fi% -fr% -ga% -gl% -hu% -it% -ja% -ko% -lt% -mr% -nb% -nds% -nl% -nn% -pa% -pl% -pt% -pt-BR% -ro% -ru% -sk% -sl% -sv% -tr% -ug% -uk% -zh-CN% -zh-TW%" LINGUAS="(-ast%) (-bg%) (-bs%) (-ca%) (-ca@valencia%) (-cs%) (-da%) (-de%) (-el%) (-en_GB%) (-es%) (-et%) (-fi%) (-fr%) (-ga%) (-gl%) (-hu%) (-it%) (-ja%) (-ko%) (-lt%) (-mr%) (-nb%) (-nds%) (-nl%) (-nn%) (-pa%) (-pl%) (-pt%) (-pt_BR%) (-ro%) (-ru%) (-sk%) (-sl%) (-sv%) (-tr%) (-ug%) (-uk%) (-zh_CN%) (-zh_TW%)"
[ebuild  N     ] kde-frameworks/kauth-5.21.0  USE="nls (policykit) -debug {-test}"
[ebuild  N     ] kde-frameworks/kconfigwidgets-5.21.0  USE="man -debug {-test}"
[ebuild  N     ] kde-frameworks/kiconthemes-5.21.0  USE="-debug {-test}"
[ebuild  N     ] kde-frameworks/ktextwidgets-5.21.0  USE="-debug (-speech) {-test}"
[ebuild  N     ] kde-frameworks/kxmlgui-5.21.0  USE="-attica -debug {-test}"
[ebuild  N     ] kde-frameworks/kbookmarks-5.21.0  USE="nls -debug {-test}"
[ebuild  N     ] kde-frameworks/kwallet-5.21.0  USE="man -debug -gpg {-test}"
[ebuild  N     ] kde-frameworks/kio-5.21.0  USE="X handbook kwallet -acl -debug -kerberos {-test}"
[ebuild  N     ] kde-frameworks/kinit-5.21.0-r1  USE="caps man -debug"
[ebuild  N     ] kde-frameworks/kded-5.21.0  USE="man -debug"
[ebuild  N    #] kde-plasma/polkit-kde-agent-5.5.5  USE="-debug"
[uninstall     ] sys-auth/polkit-kde-agent-0.99.1-r1
[blocks b      ] sys-auth/polkit-kde-agent:4[-minimal(-)] ("sys-auth/polkit-kde-agent:4[-minimal(-)]" is blocking kde-plasma/polkit-kde-agent-5.5.5)                                                                                                     
[ebuild     U  ] kde-apps/kgoldrunner-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kspaceduel-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/ksudoku-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/ksnakeduel-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/palapeli-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kmahjongg-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kreversi-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/ksirk-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kigo-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/lskat-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kubrick-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/kolf-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/konquest-15.12.3 [15.08.3]
[ebuild     U  ] kde-base/kscreensaver-4.11.22 [4.11.19]
[ebuild     U  ] kde-apps/nsplugins-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/konq-plugins-15.12.3 [15.08.3]
[ebuild     U  ] kde-apps/drkonqi-15.12.3 [15.08.3]
[ebuild     U  ] kde-base/legacy-icons-4.11.22-r1 [4.11.22]
[blocks b      ] >=kde-frameworks/oxygen-icons-5.19.0:5 (">=kde-frameworks/oxygen-icons-5.19.0:5" is blocking kde-base/legacy-icons-4.11.22)                                                                                                             
[ebuild     U  ] kde-apps/kwalletmanager-15.04.3-r1 [15.04.3]
[blocks b      ] <kde-apps/kwalletmanager-15.04.3-r1:4 ("<kde-apps/kwalletmanager-15.04.3-r1:4" is blocking kde-base/legacy-icons-4.11.22-r1)                                                                                                             
[ebuild  NS    ] kde-plasma/kactivitymanagerd-5.5.0 [4.13.3-r1] USE="-debug"
[ebuild  N     ] kde-frameworks/kactivities-5.21.0  USE="-debug {-test}"
[ebuild  N     ] kde-plasma/kactivities-workspace-5.5.0  USE="-debug"
[uninstall     ] kde-plasma/kactivitymanagerd-4.13.3-r1
[blocks b      ] kde-frameworks/kactivities ("kde-frameworks/kactivities" is blocking kde-plasma/kactivitymanagerd-4.13.3-r1)
[blocks b      ] kde-plasma/kactivitymanagerd:4 ("kde-plasma/kactivitymanagerd:4" is blocking kde-plasma/kactivities-workspace-5.5.0, kde-plasma/kactivitymanagerd-5.5.0)
[ebuild     U  ] kde-apps/plasma-runtime-15.12.3 [15.08.3]
[ebuild     U  ] kde-base/systemsettings-4.11.22-r2 [4.11.22-r1]
[ebuild     U  ] kde-base/kdebase-startkde-4.11.22-r2 [4.11.22] USE="handbook%* -crash-reporter% -minimal%"

The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by kde-frameworks/kauth-5.21.0::gentoo
# required by kde-frameworks/kconfigwidgets-5.21.0::gentoo
# required by kde-frameworks/kiconthemes-5.21.0::gentoo
# required by kde-frameworks/kbookmarks-5.21.0::gentoo
# required by kde-frameworks/kio-5.21.0::gentoo
# required by kde-frameworks/kinit-5.21.0-r1::gentoo
# required by kde-frameworks/kded-5.21.0::gentoo
# /etc/portage/package.mask/z-kde5:
=kde-plasma/polkit-kde-agent-5.5.5



Here's my mask file if that's helpful:
Code:
>kde-apps/kdebase-meta-4.14.3-r2
>kde-apps/kdebase-runtime-meta-4.14.3
>kde-apps/kdegames-meta-4.14.3
>kde-apps/kdeartwork-meta-4.14.3

kde-apps/*:5
kde-base/*:5
kde-misc/*:5

>kde-base/kdelibs-4.14.16
>=kde-plasma/polkit-kde-agent-5
Back to top
View user's profile Send private message
proteusx
Apprentice
Apprentice


Joined: 21 Jan 2008
Posts: 207

PostPosted: Mon Apr 30, 2018 6:13 pm    Post subject: Reply with quote

Here is my plasma5.mask file.
Code:

kde-plasma/plasma-workspace:5
kde-plasma/kdeplasma-addons:5
kde-misc/skanlite:5
kde-apps/kmail:5

kde-apps/akonadi:5
kde-apps/kgpg:5
kde-apps/konqueror:5

# pdftk service menus do not work with this
kde-apps/kdialog:5

=kde-frameworks/kdelibs-4.14.37


I have deleted all kde related items from the world file and I have added everything I need in a world set file.
Note the absence of kde meta packages.
Code:

kde-plasma/kdebase-startkde
kde-apps/dolphin
kde-apps/dolphin-plugins
kde-apps/drkonqi
kde-apps/k3b
kde-apps/kaccessible
kde-apps/kdepim-runtime:4
kde-apps/kfilereplace
kde-apps/kget
kde-apps/kgpg
kde-apps/khelpcenter
kde-apps/kimagemapeditor
kde-apps/klinkstatus
kde-apps/kmag
kde-apps/kmix
kde-apps/kmousetool
kde-apps/kommander
kde-apps/kompare
kde-apps/konqueror
kde-apps/kuser
kde-apps/libkexiv2:4
kde-apps/okular
kde-apps/poxml
kde-apps/spectacle
kde-frameworks/bluez-qt
kde-frameworks/breeze-icons
kde-frameworks/frameworkintegration
kde-frameworks/kactivities-stats
kde-frameworks/kdewebkit
kde-frameworks/kfilemetadata:4
kde-frameworks/kross
kde-misc/kdiff3
kde-misc/kdirstat
kde-misc/krename
kde-misc/krusader
kde-misc/skanlite
kde-misc/yakuake
kde-plasma/kdeplasma-addons
kde-plasma/kwallet-pam
kde-plasma/libkscreen
kde-plasma/plasma-integration
sci-astronomy/kstars


Also read previous posts in this thread like this and maybe this .

Finally, although this may not be relevant to your set up, my profile is amd64/17.0/desktop but I had to modify a few flags via my local profile. Here is my /etc/portage/profile/package.use.mask:
Code:
sys-devel/gcc pie
sys-devel/gcc:6.4.0 -gcj
dev-qt/qtcore:4 -icu
dev-qt/qtwebkit:4 -icu
app-text/getxbook -pdf
dev-util/diffoscope -pdf
*/* -phonon


EDIT: Added full path of package.use.mask
Back to top
View user's profile Send private message
DevLinux
n00b
n00b


Joined: 29 Jul 2015
Posts: 5

PostPosted: Mon May 21, 2018 4:15 pm    Post subject: Reply with quote

proteusx wrote:
Here is my plasma5.mask file.
I have deleted all kde related items from the world file and I have added everything I need in a world set file.
Note the absence of kde meta packages.


Thank you for the sets suggestion. It never occurred to me to try that one. I've made it from the May 2016 snapshot up to March 2018. My mask and unmask files are interesting at this point, but I'm assuming that's more related to the packages I have installed. It's also possible that now that I have everything updated that I may be able to remove some of these entries, but for now it works.

At least this buys me some time to put together an updated machine without having such an out of date machine. :)

My apologies for taking to long to report back. It took a long while to make it through all those compiles. :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9, 10
Page 10 of 10

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum